Package org.jcsp.net.settings

# Class Specs

java.lang.Object
org.jcsp.net.settings.Specs

public class Specs extends Object
Used internally within the JCSP network infrastructure to represent a set of system specifications.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`Specs()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addSpec(Spec spec)`
`boolean`
`equals(Object o)`
`Spec[]`
`getSpecs()`
`int`
`hashCode()`
`void`
`removeSpec(Spec spec)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Specs

public Specs()

## Method Details

### addSpec

public void addSpec(Spec spec)

### removeSpec

public void removeSpec(Spec spec)

### getSpecs

public Spec[] getSpecs()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`